Bug 1917401 - python-pyriemann: FTBFS in Fedora rawhide [NEEDINFO]
Summary: python-pyriemann: FTBFS in Fedora rawhide
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyriemann
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-18 12:45 UTC by Tomáš Hrnčiar
Modified: 2021-02-14 04:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
releng: needinfo? (igor.raits)


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-18 12:45:30 UTC
Description of problem:
Package python-pyriemann fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.2.6-5.fc34

Steps to Reproduce:
koji build --scratch f34 python-pyriemann-0.2.6-5.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-pyriemann

======================================================================
ERROR: Failure: ImportError (cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.9/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.9/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.9/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 711, in _load
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_ajd.py", line 4, in <module>
    from pyriemann.utils.ajd import rjd, ajd_pham, uwedge
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/__init__.py", line 6, in <module>
    from . import clustering
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/clustering.py", line 5, in <module>
    from sklearn.cluster._kmeans import _init_centroids
ImportError: cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py)
======================================================================
ERROR: Test prediction of MDM
----------------------------------------------------------------------
joblib.externals.loky.process_executor._RemoteTraceback: 
"""
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/joblib/externals/loky/backend/queues.py", line 153, in _feed
    obj_ = dumps(obj, reducers=reducers)
  File "/usr/lib/python3.9/site-packages/joblib/externals/loky/backend/reduction.py", line 271, in dumps
    dump(obj, buf, reducers=reducers, protocol=protocol)
  File "/usr/lib/python3.9/site-packages/joblib/externals/loky/backend/reduction.py", line 264, in dump
    _LokyPickler(file, reducers=reducers, protocol=protocol).dump(obj)
  File "/usr/lib/python3.9/site-packages/joblib/externals/cloudpickle/cloudpickle_fast.py", line 563, in dump
    return Pickler.dump(self, obj)
_pickle.PicklingError: Can't pickle <function mean_covariance at 0x3ff9f3dcaf0>: import of module 'pyriemann.utils.mean' failed
"""
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_classification.py", line 62, in test_MDM_predict
    mdm.fit(covset, labels)
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/classification.py", line 124, in fit
    self.covmeans_ = Parallel(n_jobs=self.n_jobs)(
  File "/usr/lib/python3.9/site-packages/joblib/parallel.py", line 1054, in __call__
    self.retrieve()
  File "/usr/lib/python3.9/site-packages/joblib/parallel.py", line 933, in retrieve
    self._output.extend(job.get(timeout=self.timeout))
  File "/usr/lib/python3.9/site-packages/joblib/_parallel_backends.py", line 542, in wrap_future_result
    return future.result(timeout=timeout)
  File "/usr/lib64/python3.9/concurrent/futures/_base.py", line 440, in result
    return self.__get_result()
  File "/usr/lib64/python3.9/concurrent/futures/_base.py", line 389, in __get_result
    raise self._exception
_pickle.PicklingError: Could not pickle the task to send it to the workers.
======================================================================
ERROR: Failure: ImportError (cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.9/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.9/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.9/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 711, in _load
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_clustering.py", line 4, in <module>
    from pyriemann.clustering import Kmeans, KmeansPerClassTransform, Potato
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/__init__.py", line 6, in <module>
    from . import clustering
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/clustering.py", line 5, in <module>
    from sklearn.cluster._kmeans import _init_centroids
ImportError: cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py)
======================================================================
ERROR: Failure: ImportError (cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.9/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.9/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.9/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 711, in _load
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_embedding.py", line 3, in <module>
    from pyriemann.embedding import Embedding
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/__init__.py", line 6, in <module>
    from . import clustering
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/clustering.py", line 5, in <module>
    from sklearn.cluster._kmeans import _init_centroids
ImportError: cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py)
======================================================================
ERROR: Failure: ImportError (cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.9/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.9/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.9/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 711, in _load
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_stats.py", line 2, in <module>
    from pyriemann.stats import PermutationDistance, PermutationModel
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/__init__.py", line 6, in <module>
    from . import clustering
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/clustering.py", line 5, in <module>
    from sklearn.cluster._kmeans import _init_centroids
ImportError: cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py)
======================================================================
ERROR: Failure: ImportError (cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.9/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.9/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.9/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.9/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 711, in _load
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/builddir/build/BUILD/pyRiemann-0.2.6/tests/test_viz.py", line 2, in <module>
    from pyriemann.utils.viz import plot_confusion_matrix, plot_embedding
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/utils/viz.py", line 7, in <module>
    from pyriemann.embedding import Embedding
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/__init__.py", line 6, in <module>
    from . import clustering
  File "/builddir/build/BUILDROOT/python-pyriemann-0.2.6-5.fc34.noarch/usr/lib/python3.9/site-packages/pyriemann/clustering.py", line 5, in <module>
    from sklearn.cluster._kmeans import _init_centroids
ImportError: cannot import name '_init_centroids' from 'sklearn.cluster._kmeans' (/usr/lib64/python3.9/site-packages/sklearn/cluster/_kmeans.py)

Comment 1 Fedora Release Engineering 2021-01-24 04:23:03 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Ben Cotton 2021-02-09 15:41:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 3 Fedora Release Engineering 2021-02-14 04:22:35 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Fedora Release Engineering 2021-02-14 04:22:35 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.